/********************************************************/
/*  First section was created with project template     */
/********************************************************/

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

/********************************************************/
/*  Below items are specific to KazSudokuWeb            */
/********************************************************/

body {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    background-color:white;
    color:black;
    padding: 0pt;
    margin: 0pt;
}

h1 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20pt;
    font-weight: bold;
    color: darkblue;
    padding: 4px;
    margin-left: 8px;
}

.MainLayoutHeader {
    display: grid;
    grid-template-areas:
        "logo title"
        "logo navigation";
    grid-template-columns: 72px 1fr;
    gap: 4px;
    background-color: lightcyan;
    padding: 4px;
    border-bottom: 1px solid darkblue;
}

    .MainLayoutHeader div {
        padding: 4px;
    }

        .MainLayoutHeader div.MainLayoutHeaderLogo {
            grid-area: logo;
            height: 64px;
            width: 64px;
        }

        .MainLayoutHeader div.MainLayoutHeaderTitle {
            grid-area: title;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 24pt;
            font-weight: bold;
            color: darkblue;
            vertical-align: middle;
        }

        .MainLayoutHeader div.MainLayoutHeaderNavigation {
            grid-area: navigation;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 12pt;
            font-weight: normal;
            color: darkblue;
            vertical-align: middle;
        }

.MainLayoutHeaderImage {
    height: 64px;
    width: 64px;
}


.MainLayoutMain {
    background: white;
}

.MainLayoutMainFooter {
    background-color: white;
    margin-top: 24px;
    margin-left: 8px;
    border-top: 1px solid lightgray;
}

.MainLayoutMainFooterText {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 9pt;
    font-weight: normal;
    color: darkblue;
    padding: 4px;
}

.SudokuBuilderDiv {
    display: grid;
    grid-template-areas:
        "logo instructions unused"
        "logo difficulty unused"
        "logo count unused"
        "logo showsolution unused"
        "logo buttons unused";
    grid-template-columns: 264px 540px 1fr;
    gap: 4px;
    background-color: white;
    padding: 4px;
}

    .SudokuBuilderDiv div {
        padding: 4px;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 12pt;
        font-weight: normal;
        color: black;
    }

        .SudokuBuilderDiv div.SudokuBuilderLogo {
            grid-area: logo;
            height: 256px;
            width: 256px;
        }

        .SudokuBuilderDiv div.SudokuBuilderInstructions {
            grid-area: instructions;
            font-size: 14pt;
        }

        .SudokuBuilderDiv div.SudokuBuilderCount {
            grid-area: count;
        }

        .SudokuBuilderDiv div.SudokuBuilderShowsolution {
            grid-area: showsolution;
        }

        .SudokuBuilderDiv div.SudokuBuilderDifficulty {
            grid-area: difficulty;
        }

        .SudokuBuilderDiv div.SudokuBuilderButtons {
            grid-area: buttons;
        }
        .SudokuBuilderDiv div.SudokuBuilderUnused {
            grid-area: unused;
        }

.SudokuBuilderImage {
    height: 256px;
    width: 256px;
}

.SudokuBuilderPrintButton {
    border: 1px solid navy;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
    color: black;
    font-style: normal;
    font-weight: bold;
    background-color: #f8f8f8;
    background-repeat: no-repeat;
    background-position: 4px center;
    background-image: url('Images/print.gif');
    padding-left: 24px;
    height: 28px;
    margin-right: 8px;
}

.PrivacyDiv {
    padding: 8px;
    margin: 8px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    color: black;
}

.PrivacyItem{
    margin-top: 12px;
}

.AboutDiv {
    padding: 8px;
    margin: 8px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    color: black;
}

.AboutItem {
    margin-top: 4px;
}

.AboutItemVar {
    margin-top: 4px;
}